ALSA project - the C library reference: /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_file.c File Reference

# /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_file.c File Reference

PCM File Plugin Interface. More...

## Functions
int | snd_pcm_file_open (snd_pcm_t **pcmp, const char *name, const char *fname, int fd, const char *ifname, int ifd, int trunc, const char *fmt, int perm, snd_pcm_t *slave, int close_slave, snd_pcm_stream_t stream)
| Creates a new File PCM.
int | _snd_pcm_file_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new File PCM.

## Detailed Description

PCM File Plugin Interface.

Author:
  Abramo Bagnara <abramo@alsa-project.org>

Date:
  2000-2001

## Function Documentation

int _snd_pcm_file_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode |
| ) |  |  |

Creates a new File PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | root | Root configuration node
  | conf | Configuration node with File PCM description
  | stream | Stream type
  | mode | Stream mode

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

int snd_pcm_file_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | const char * | fname,
|  | int | fd,
|  | const char * | ifname,
|  | int | ifd,
|  | int | trunc,
|  | const char * | fmt,
|  | int | perm,
|  | snd_pcm_t * | slave,
|  | int | close_slave,
|  | snd_pcm_stream_t | stream |
| ) |  |  |

Creates a new File PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | fname | Output filename (or NULL if file descriptor fd is available)
  | fd | Output file descriptor
  | ifname | Input filename (or NULL if file descriptor ifd is available)
  | ifd | Input file descriptor (if (ifd < 0) && (ifname == NULL), no input redirection will be performed)
  | trunc | Truncate the file if it already exists
  | fmt | File format ("raw" or "wav" are available)
  | perm | File permission
  | slave | Slave PCM handle
  | close_slave | When set, the slave PCM handle is closed with copy PCM
  | stream | the direction of PCM stream

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines